/*
 * Paraselene
 * Copyright (c) 2009  Akira Terasaki
 * このファイルは同梱されているLicense.txtに定めた条件に同意できる場合にのみ
 * 利用可能です。
 */
package paraselene.mockup;

import paraselene.*;


/**
 * 無限回を表す。NumberValueの設定値として使用します。
 */
public class Infinite extends Number implements Valuable {
	private static final long serialVersionUID = 1L;
	private static final String INFINITE = "infinite";
	public Infinite(){}
	public int intValue() { return -1; }
	public long longValue() { return -1; }
	public float floatValue() { return -1; }
	public double doubleValue() { return -1; }
	public byte byteValue() { return -1; }
	public String toString() { return INFINITE; }
}
